Package org.eclipse.lemminx.extensions.xsi.participants

## Class XSIHoverParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.hover.HoverParticipantAdapter
  - - org.eclipse.lemminx.extensions.xsi.participants.XSIHoverParticipant

All Implemented Interfaces:
  `IHoverParticipant`

    public class XSIHoverParticipant
    extends HoverParticipantAdapter

XSIHoverParticipant

### Constructor Summary

Constructors
`XSIHoverParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.Hover` `onAttributeName​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onAttributeName method

### Methods inherited from class org.eclipse.lemminx.services.extensions.hover.HoverParticipantAdapter

`onAttributeValue, onTag, onText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSIHoverParticipant

    public XSIHoverParticipant()

### Method Detail

#### onAttributeName

    public org.eclipse.lsp4j.Hover onAttributeName​(IHoverRequest request,
                                                   org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                            throws Exception

Description copied from interface: `IHoverParticipant`
onAttributeName method

Specified by:
  `onAttributeName` in interface `IHoverParticipant`
Overrides:
  `onAttributeName` in class `HoverParticipantAdapter`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`